Bug 239770 - Review Request: gsm - GSM speech compressor library
Summary: Review Request: gsm - GSM speech compressor library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 228186
Blocks: 206871
TreeView+ depends on / blocked
 
Reported: 2007-05-11 08:20 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2009-03-07 17:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-13 13:12:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2007-05-11 08:20:51 UTC
Spec URL: http://rpm.greysector.net/extras/gsm.spec
SRPM URL: http://rpm.greysector.net/extras/gsm-1.0.12-2.src.rpm
Description:

libgsm, an implementation of the European GSM 06.10 provisional
standard for full-rate speech transcoding, prI-ETS 300 036,
which uses RPE/LTP (residual pulse excitation/long term prediction)
coding at 13 kbit/s.

GSM 06.10 compresses frames of 162 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

Comment 1 Michael Schwendt 2007-05-11 15:04:15 UTC
Moving the tools is fine and should have been done long ago.

Based on looking at a unified diff against the previous package
from the %changelog:

APPROVED

Comment 2 Dominik 'Rathann' Mierzejewski 2007-05-11 17:29:39 UTC
New Package CVS Request
=======================
Package Name: gsm
Short Description: GSM speech compressor library
Owners: rpm@greysector.net
Branches: FC-5 FC-6
InitialCC: 


Comment 3 Dominik 'Rathann' Mierzejewski 2007-05-11 17:32:35 UTC
Thank you, Michael.

Comment 4 Dominik 'Rathann' Mierzejewski 2007-05-13 13:12:50 UTC
Fixed a problem with parallel make and built.

Comment 5 Dominik 'Rathann' Mierzejewski 2007-11-03 20:02:48 UTC
Package Change Request
======================
Package Name: gsm
New Branches: EL-5


Comment 6 Kevin Fenzi 2007-11-04 18:58:32 UTC
cvs done.

Comment 7 Dominik 'Rathann' Mierzejewski 2007-11-08 18:56:15 UTC
Package Change Request
======================
Package Name: gsm
Updated EPEL Owners: rathann, jcollie


Comment 8 Kevin Fenzi 2007-11-08 19:34:10 UTC
cvs done.

Comment 9 Dominik 'Rathann' Mierzejewski 2009-03-06 18:47:37 UTC
Package Change Request
======================
Package Name: gsm
New Branches: EL-4

Comment 10 Kevin Fenzi 2009-03-07 17:39:36 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.